/*

--- 01 TYPOGRAPHY SYSTEM

- Font sizes (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font weights: 
Default: 400
Medium: 500
Semi-Bold: 600
Bold: 700

- Line heights: 
Default: 1
Small: 1.05
Medium: 1.2
Paragraph default: 1.6

- Letter spacing
-0.5px
0.75px

--- 02 COLORS

- Primary: #e67e22
- Tints: 
#fdf2e9
#fae5d3
- Shades: 
#cf711f
#45260a
- Accents:
- Greys: 
#f9f9f9
#888
#767676 (lightest grey allowed on white)
#6f6f6f (lightest grey allowed on #fdf2e9)
#555
#333

--- 06 BORDER RADIUS

Default: 6px

--- 07 WHITESPACE

- SPACING SYSTEM (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128

*/

:root {
  --primary-color: #8200db;
  --primary-tint-1-color: #9810fa;
  --primary-tint-2-color: #ad46ff;
  --primary-transparent-color: #f4ebfd;
  --primary-transparent-2-color: #dab3f4;
  --primary-shade-1-color: #6e11b0;
  --primary-shade-2-color: #59168b;
  --primary-shade-3-color: #1a002c;

  --dark-grey-1-color: #333;
  --dark-grey-2-color: #777;
  --light-grey-1-color: #f8f8f8;
  --light-grey-2-color: #ececec;
  --light-grey-3-color: #ddd;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

*:focus {
  outline: none;
  box-shadow: 0 0 0 0.4rem var(--primary-transparent-2-color);
}

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

body {
  font-family: 'Liter', sans-serif;
  line-height: 2;
  font-weight: 400;
  font-size: 1.8rem;
  background-color: var(--light-grey-1-color);
  color: var(--dark-grey-1-color);
}

h1, h2, h3 {
  font-weight: 700;
}



/**********************/
/* GENERAL COMPONENTS */
/**********************/

.section {
  display: flex;
  justify-content: center;
}

.container {
  flex: 1;
  max-width: 120rem;
  padding: 8.4rem 3.2rem;
}

.heading-primary {
  font-size: 4.4rem;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}

.heading-secondary {
  font-size: 3.2rem;
  line-height: 1.2;
  margin-bottom: 2.4rem;
}

.heading-tertiary {
  font-size: 2.2rem;
  line-height: 1.2;
  margin-bottom: 1.2rem;
}



.emphasize {
  color: var(--primary-color);
  -webkit-text-fill-color: #0000;
  background: linear-gradient(to right, var(--primary-color), var(--primary-shade-1-color));
  background-clip: text;
  -webkit-background-clip: text;
}

.subheading {
  font-size: 1.8rem;
  font-weight: 500;
  color: var(--primary-shade-1-color);
  text-transform: uppercase;
  margin-bottom: 1.4rem;
  letter-spacing: 0.5px;
}

.text {
  font-size: 2rem;
  line-height: 1.6;
}

.text-secondary {
  font-size: 2rem;
  line-height: 1.6;
  color: var(--dark-grey-2-color);
}

.text-small {
  font-size: 1.6rem;
  line-height: 1.4;
}

.btn,
.btn:link,
.btn:visited {
  font-family: inherit;
  display: inline-block;
  text-decoration: none;
  font-size: 2rem;
  font-weight: 500;
  padding: 1.6rem 3.2rem;
  border-radius: 8px;
  border: none;
  cursor: pointer;
  transition: all 0.3s;
  line-height: 1;
}

.btn--primary {
  background: var(--primary-color);
  color: white;
}

.btn--primary:hover,
.btn--primary:active {
  background: var(--primary-shade-2-color);
}

.link:link,
.link:visited {
  display: inline-block;
  color: var(--primary-color);
  text-decoration: none;
  padding-bottom: 0.3rem;
  border-bottom: 1px solid transparent;
  transition: all 0.3s;
}

.link:hover,
.link:active {
  color: var(--primary-shade-1-color);
  border-bottom: 1px solid currentColor;
}

.link.link--icon {
  display: inline-flex;
  gap: 0.8rem;
}

.list {
  list-style: none;
}

.list li {
  padding: 2.4rem 0;
  border-bottom: 1px solid var(--light-grey-2-color);
}

.list li:last-child {
  padding-bottom: 0;
  border-bottom: 0;
}

.card-list {
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  gap: 1.6rem;
}

.card-list li {
  display: flex;
  align-items: center;
}

.form-control {
  margin-bottom: 1.8rem;
}

.form-control label {
  display: block;
  font-size: 1.6rem;
  margin-bottom: 0.6rem;
}

strong {
  font-weight: 500;
}

.text-centered {
  text-align: center;
}

.mb-1 {
  margin-bottom: 2.4rem;
}

.mb-2 {
  margin-bottom: 3.2rem;
}

.mb-3 {
  margin-bottom: 4.8rem;
}

.mb-4 {
  margin-bottom: 6.4rem;
}


/* Landscape tablets, below 1200 = 75em */
@media (max-width: 1200px) {
  html {
    /* Decreases all rem values on the page. */
    /* 9px / 16px = 56.25% */
    font-size: 56.25%;
  }
}

/* Tablets, below 944px = 59em */
/* @media (max-width: 944px) {
  html {
    font-size: 50%;
  }
} */

/* Phones, below 550px = 34em */
@media (max-width: 550px) {

  .container {
    flex-direction: column;
    gap: 7.2rem !important;
  }
}